: Interface SExprStream

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.sexpr
Interface SExprStream

All Known Implementing Classes:
  SimpleSExprStream

public interface SExprStream
extends SExprParser

An interface for a full s-expression parser.

Method Summary
`SExprParser` | `addParser(char key, SExprParser parser)` Associate an input character with a "sub-parser."
`boolean` | `getListsAsVectors()` Checks whether lists are to be parsed as Vectors or Cons cells.
`Readtable` | `getReadtable()` Access the dispatch table of the parser.
`java.lang.StringBuffer` | `getScratchBuffer()` Accesses an empty string buffer available temporary storage.
`java.util.Dictionary` | `getSymbols()` Access the symbol table of the parser.
`java.lang.Object` | `parse()` Parse a single object from the stream.
`int` | `read()` Read a single character from the stream.
`char` | `readSkipWhite()` Reads from the stream, skipping whitespace.
`boolean` | `setListsAsVectors(boolean listsAsVectors)` Controls whether parsed lists are Vectors or Cons cells.
`Readtable` | `setReadtable(Readtable readtable)` Assign the dispatch table of the parser.
`java.util.Dictionary` | `setSymbols(java.util.Dictionary symbols)` Assign the symbol table of the parser.

Methods inherited from interface org.w3c.tools.sexpr.SExprParser
`parse`

Method Detail

### parse

    public java.lang.Object parse()
                           throws SExprParserException,
                                  java.io.IOException

  Parse a single object from the stream.

### getSymbols

    public java.util.Dictionary getSymbols()

  Access the symbol table of the parser.

### setSymbols

    public java.util.Dictionary setSymbols(java.util.Dictionary symbols)

  Assign the symbol table of the parser.

### getReadtable

    public Readtable getReadtable()

  Access the dispatch table of the parser.

### setReadtable

    public Readtable setReadtable(Readtable readtable)

  Assign the dispatch table of the parser.

### addParser

    public SExprParser addParser(char key,
                                 SExprParser parser)

  Associate an input character with a "sub-parser."

### getListsAsVectors

    public boolean getListsAsVectors()

  Checks whether lists are to be parsed as Vectors or Cons cells.

### setListsAsVectors

    public boolean setListsAsVectors(boolean listsAsVectors)

  Controls whether parsed lists are Vectors or Cons cells.

### getScratchBuffer

    public java.lang.StringBuffer getScratchBuffer()

  Accesses an empty string buffer available temporary storage.

### readSkipWhite

    public char readSkipWhite()
                       throws java.io.IOException

  Reads from the stream, skipping whitespace.

### read

    public int read()
             throws java.io.IOException

  Read a single character from the stream. This method is here because there is no InputStream interface in the java.io package (JavaSoft please take notice!).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD